org.apache.ignite.internal.processors.odbc

## Interface ClientListenerRequestHandler

All Known Implementing Classes:
  ClientRequestHandler, JdbcRequestHandler, OdbcRequestHandler

    public interface ClientListenerRequestHandler

Client listener request handler.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientListenerResponse` `handle(ClientListenerRequest req)` Handle request.
`ClientListenerResponse` `handleException(Exception e, ClientListenerRequest req)` Handle exception.
`void` `writeHandshake(BinaryWriterExImpl writer)` Write successful handshake response.

### Method Detail

#### handle

    ClientListenerResponse handle(ClientListenerRequest req)

Handle request.

Parameters:
  `req` - Request.
Returns:
  Response.

#### handleException

    ClientListenerResponse handleException(Exception e,
                                           ClientListenerRequest req)

Handle exception.

Parameters:
  `e` - Exception.
  `req` - Request.
Returns:
  Error response.

#### writeHandshake

    void writeHandshake(BinaryWriterExImpl writer)

Write successful handshake response.

Parameters:
  `writer` - Binary writer.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019